Skip to main content
PUT
Update a group.

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

groupId
string
required

Body

application/json
version
number
required

Optimistic locking version for the group row.

Example:

4

name
string

Updated group display name.

Example:

"Operations"

category
string

Updated presentation category used for grouping.

Example:

"Platform"

desc
string

Updated operator-visible group description.

Example:

"Platform operators with production access."

metadata
object

Replacement resource metadata. Values may use any JSON type. Maximum 16 KiB and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.

Example:
ownerId
string

Replacement owner id for the group.

Example:

"33333333-3333-4333-8333-333333333333"

ownerType
string

Replacement owner principal type.

Example:

"USER"

Response

OK.

Last modified on September 5, 2026